Bug 1022827 - Review Request: rubygem-http-cookie - Ruby library to handle HTTP Cookies based on RFC 6265
Review Request: rubygem-http-cookie - Ruby library to handle HTTP Cookies bas...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 02:43 EDT by Mamoru TASAKA
Modified: 2013-11-12 03:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 03:35:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2013-10-24 02:43:29 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-http-cookie.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-http-cookie-1.0.2-1.fc.src.rpm
Description: 
HTTP::Cookie is a Ruby library to handle HTTP Cookies based on RFC 6265.  It
has with security, standards compliance and compatibility in mind, to behave
just the same as today's major web browsers.  It has builtin support for the
legacy cookies.txt and the latest cookies.sqlite formats of Mozilla Firefox,
and its modular API makes it easy to add support for a new backend store.

Fedora Account System Username: mtasaka

Koji scratch build:
F-21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6092764
F-20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6092762
F-19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6092763
Comment 1 Björn "besser82" Esser 2013-10-24 03:14:35 EDT
taken  ;)
Comment 2 Mamoru TASAKA 2013-10-30 21:42:04 EDT
ping?
Comment 3 Mamoru TASAKA 2013-11-07 17:40:13 EST
Another one week has passed.

Björn, sorry, however as I want to try importing this package before
F-20 lands (due to other dependency), once revoking assignment.
Comment 4 Mamoru TASAKA 2013-11-07 17:41:49 EST
Thank you for trying to take this package anyway.
Comment 5 Ken Dreyer 2013-11-07 22:44:23 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Please remove the whitespace after "Requires:	ruby(rubygems) ".
 
- The test/test_http_cookie_jar.rb test optionally loads sqlite3, and it's
  currently printing a warning "sqlite3 missing?" because this gem is missing
  during the test run. You may want to BR: rubygem(sqlite3) in order to expand
  the test coverage during %check.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage.
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-http-cookie-1.0.2-1.fc21.noarch.rpm
          rubygem-http-cookie-doc-1.0.2-1.fc21.noarch.rpm
          rubygem-http-cookie-1.0.2-1.fc21.src.rpm
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US builtin -> built in, built-in, built
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US sqlite -> sq lite, sq-lite, satellite
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
rubygem-http-cookie.src: W: spelling-error %description -l en_US builtin -> built in, built-in, built
rubygem-http-cookie.src: W: spelling-error %description -l en_US txt -> text, ext, tit
rubygem-http-cookie.src: W: spelling-error %description -l en_US sqlite -> sq lite, sq-lite, satellite
rubygem-http-cookie.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-http-cookie rubygem-http-cookie-doc
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US builtin -> built in, built-in, built
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US sqlite -> sq lite, sq-lite, satellite
rubygem-http-cookie.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-http-cookie (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)
    rubygem(domain_name)

rubygem-http-cookie-doc (rpmlib, GLIBC filtered):
    rubygem-http-cookie



Provides
--------
rubygem-http-cookie:
    rubygem(http-cookie)
    rubygem-http-cookie

rubygem-http-cookie-doc:
    rubygem-http-cookie-doc



Source checksums
----------------
https://rubygems.org/gems/http-cookie-1.0.2.gem :
  CHECKSUM(SHA256) this package     : bcc1b18b5bc3e9302542c9c7f68f1ac0c3100a65dd2831786172e8676773e233
  CHECKSUM(SHA256) upstream package : bcc1b18b5bc3e9302542c9c7f68f1ac0c3100a65dd2831786172e8676773e233


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1022827
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG


Package APPROVED
Comment 6 Mamoru TASAKA 2013-11-09 12:31:47 EST
Thank you! I will incorpolate your suggestion when importing
into Fedora git.



New Package SCM Request
=======================
Package Name: rubygem-http-cookie
Short Description: Ruby library to handle HTTP Cookies based on RFC 6265
Owners: mtasaka
Branches: f20 f19
Comment 7 Gwyn Ciesla 2013-11-11 08:00:55 EST
Git done (by process-git-requests).
Comment 8 Mamoru TASAKA 2013-11-12 03:35:59 EST
Rebuilt on all branches, push requested on F-20 and F-19, closing.

Thank you for review and git procedure.

Note You need to log in before you can comment on or make changes to this bug.